CUUM( )

NAME
cuum - To start the front-end processor.

SYNOPSIS
cuum [-h/H] [-x/X]

      [-k uumkeyfile ] [-c convertkeyfile ]

      [-r rkfile ] [-D hostname ]

      [-n username ] [-l lines ]

DEFAULT PATH
/usr/local/bin/cWnn4/cuum

DESCRIPTION
There are two more input environments:

(1) Pinyin centred input environment

(2) Zhuyin centred input environment

These two environments can be started up by using the "-r" option of the "cuum" command together with the default path of each input environment. For example, to activate Pinyin centred input environment, execute the following:

     cuum -r /usr/local/lib/wnn/zh_CN/rk_p Once "cuum" is executed, the initialization file for the front-end processor will be read from ONE of the following paths, in decreasing order:

(1) The file specified by the UUMRC C-Shell environment
    variable.

(2) @HOME/.uumrc

(3) /usr/local/lib/wnn/zh_CN/uumrc (default path) After the initialization file is read, all the initializing operations set in the file will be performed. If the user happens to start up cuum after it has already been started, an error message will be given. Refer to cWnn manual for the error messages.

OPTIONS

-H  The input mode will be set to ON after the startup of cuum.

-h  The input mode will be set to OFF after the startup of cuum (default).

-X  During cuum startup, the flow control of tty is ON (default).

-x  During cuum startup, the flow control of tty is OFF.

-k  uumkeyfile

    Specify the keyboard definition file. If this option is not specified, ONE of the following definition files will be read by default, in decreasing order:

    (1) The filename indicated by "setuumkey" in the
        initialization file "uumrc".

    (2) /usr/local/lib/wnn/zh_CN/uumkey

-c  convertkeyfile

    Specify the conversion file for the keyboard input codes. If this option is not specified, ONE of the following files will be read by default, in decreasing order:

    (1) The filename indicated by "setconvkey" in the
        initialization file "uumrc" .

    (2) /usr/local/lib/wnn/cvt_key_tbl

-r  rkfile

    Specify the directory of the input mode definition file of the input automaton. If this option is not specified, ONE of the followings will be read by default, in decreasing order:

    (1) The directory indicated by "setrkfile" in the
        initialization file "uumrc".

    (2) /usr/local/lib/wnn/zh_CN/rk

-l  lines

    Specify the number of lines for input at the front-end processor. (0 < lines < window_line-1).

    The maximum input line is the window line minus one. The default line number is 1.

-D  hostname

    Specify the server at another host indicated by

    hostname. In this case, each user environment may be set via "setenv" in the front-end processor initialization file, for example "uumrc".

    If no hostname is specified, the one specified by the environment variable CSERVER will be used.

-n  username

    Specify the username for the front-end processor. If the username is not specified, the value in environment variable UUMUSER will be taken as the default value. If UUMUSER is not defined, the username of the current front-end processor will be taken.

NOTE

1.  The command options inside [ ] shown in the Command Format indicates that they are optional. If they are not required, "cuum" alone is sufficient to start up the front-end processor.

2.  During the startup of cuum, a "pty" is required from the operating system. If "pty" is unable to be obtained, cuum startup will fail. Similarly, if the initialization file, input automaton definition files and keyboard definition file cannot be read in, cuum startup will also fail.